Method: projects.classifier.export

启动一个批处理流程,用于计算分类器并将其保存为 Earth Engine 资产。

HTTP 请求

POST https://earthengine.googleapis.com/v1beta/{project=projects/*}/classifier:export

网址采用 gRPC 转码语法。

路径参数

参数
project

string

必需。应被视为相应请求的服务使用方的 Google Cloud Platform 项目的项目 ID 或项目编号。格式为 projects/{project-id}

必须对指定的资源 project 具有以下 IAM 权限才能进行授权:

  • earthengine.exports.create

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{
  "expression": {
    object (Expression)
  },
  "description": string,
  "requestId": string,
  "assetExportOptions": {
    object (ClassifierAssetExportOptions)
  },
  "workloadTag": string,
  "priority": integer
}
字段
expression

object (Expression)

必需。一种表达式,可评估为要计算和导出的 Earth Engine 分类器。

description

string

可选。任务的可选人类可读名称。

requestId

string

可选。用于检测重复请求的唯一字符串。如果同一用户使用相同的非空 requestId 发出多个请求,则只有其中一个请求可以成功启动长时间运行的操作。requestId 可以包含字符 a..z、A..Z、0-9 或“-”。requestId 的长度不得超过 60 个字符。

assetExportOptions

object (ClassifierAssetExportOptions)

必需。将导出配置为 Earth Engine 资产。

workloadTag

string

可选。用户提供的用于跟踪相应计算的标签。

priority

integer

可选。导出任务在项目中的优先级。优先级较高的任务会更早安排。必须是介于 0 到 9999 之间的整数。如果未设置,则默认为 100。

响应正文

如果成功,则响应正文包含一个 Operation 实例。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/earthengine
  • https://www.googleapis.com/auth/cloud-platform

如需了解详情,请参阅 OAuth 2.0 Overview

ClassifierAssetExportOptions

用于将表格另存为 Earth Engine 资产的选项。

JSON 表示法
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "earthEngineDestination": {
    object (EarthEngineDestination)
  }
  // End of mutually exclusive fields.
}
字段
结果的写入位置。以下是互斥字段的列表。在响应中,最多只能设置一个字段:
earthEngineDestination

object (EarthEngineDestination)

如果指定,则配置向 Earth Engine 的导出。

互斥字段的结束位置。